<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:14 PST 2005 -->
<TITLE>
: Uses of Class org.eclipse.wst.rdb.internal.models.sql.routines.DataAccess
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DataAccess.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.eclipse.wst.rdb.internal.models.sql.routines.DataAccess</B></H2>
</CENTER>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.routines"><B>org.eclipse.wst.rdb.internal.models.sql.routines</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.routines.impl"><B>org.eclipse.wst.rdb.internal.models.sql.routines.impl</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.routines"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A> in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.routines</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Fields in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.routines</A> declared as <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></CODE></FONT></TD>
<TD><CODE><B>DataAccess.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html#NO_SQL_LITERAL">NO_SQL_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>NO SQL</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></CODE></FONT></TD>
<TD><CODE><B>DataAccess.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html#CONTAINS_SQL_LITERAL">CONTAINS_SQL_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>CONTAINS SQL</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></CODE></FONT></TD>
<TD><CODE><B>DataAccess.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html#READS_SQL_DATA_LITERAL">READS_SQL_DATA_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>READS SQL DATA</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></CODE></FONT></TD>
<TD><CODE><B>DataAccess.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html#MODIFIES_SQL_DATA_LITERAL">MODIFIES_SQL_DATA_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>MODIFIES SQL DATA</b></em>' literal object.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.routines</A> that return <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></CODE></FONT></TD>
<TD><CODE><B>DataAccess.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html#get(java.lang.String)">get</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the '<em><b>Data Access</b></em>' literal with the specified name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></CODE></FONT></TD>
<TD><CODE><B>DataAccess.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html#get(int)">get</A></B>(int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the '<em><b>Data Access</b></em>' literal with the specified value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></CODE></FONT></TD>
<TD><CODE><B>Routine.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getSqlDataAccess()">getSqlDataAccess</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Sql Data Access</b></em>' attribute.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.routines</A> with parameters of type <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Routine.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setSqlDataAccess(org.eclipse.wst.rdb.internal.models.sql.routines.DataAccess)">setSqlDataAccess</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getSqlDataAccess()"><CODE><em>Sql Data Access</em></CODE></A>' attribute.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.routines.impl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A> in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.routines.impl</A></FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.routines.impl</A> that return <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></CODE></FONT></TD>
<TD><CODE><B>RoutineImpl.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getSqlDataAccess()">getSqlDataAccess</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.routines.impl</A> with parameters of type <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RoutineImpl.</B><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setSqlDataAccess(org.eclipse.wst.rdb.internal.models.sql.routines.DataAccess)">setSqlDataAccess</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A>&nbsp;newSqlDataAccess)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DataAccess.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
